# Poco

# class Base32Decoder

Library: Foundation
Package: Streams
Header: Poco/Base32Decoder.h

## Description

This istream base32-decodes all data read from the istream connected to it.

The class implements RFC 4648 - https://tools.ietf.org/html/rfc4648

Note: For performance reasons, the characters are read directly from the given istream's underlying streambuf, so the state of the istream will not reflect that of its streambuf.

## Inheritance

Direct Base Classes: Base32DecoderIOS, std::istream

All Base Classes: Base32DecoderIOS, std::ios, std::istream

## Member Summary

Inherited Functions: rdbuf

## Constructors

### Base32Decoder

Base32Decoder(
std::istream & istr
);

## Destructor

### ~Base32Decoder

~Base32Decoder();